
shellCommand = Turbine.ShellCommand()
function shellCommand:Execute(command, arguments)
	Turbine.Shell.WriteLine("***")
	Turbine.Shell.WriteLine("Unload started")
	Turbine.Shell.WriteLine("***")
	local Plugins=Turbine.PluginManager.GetLoadedPlugins()

	for k,v in pairs(Plugins) do
		if v.ScriptState~="Reloader" then
			Turbine.Shell.WriteLine("Unloading "..v.Name)
			Turbine.PluginManager.UnloadScriptState(v.ScriptState)
		end
	end

	for k,v in pairs(Plugins) do
		if v.ScriptState~="Reloader" then
			Turbine.Shell.WriteLine("Loading "..v.Name)
			Turbine.PluginManager.LoadPlugin(v.Name)
		end
	end
	
	Turbine.Shell.WriteLine("***")
	Turbine.Shell.WriteLine("Reload finished")
	Turbine.Shell.WriteLine("***")
end
Turbine.Shell.AddCommand('reload;rl', shellCommand)
